| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
tab_info_t Struct Reference

Structure to hold information and UI elements for an RTP stream analysis tab. More...

`#include <rtp_analysis_dialog.h>`

## Public Attributes
rtpstream_info_t | stream
QVector< double > * | time_vals
QVector< double > * | jitter_vals
QVector< double > * | diff_vals
QVector< double > * | delta_vals
QTreeWidget * | tree_widget
QLabel * | statistics_label
QString * | tab_name
QCPGraph * | jitter_graph
QCPGraph * | diff_graph
QCPGraph * | delta_graph
QHBoxLayout * | graphHorizontalLayout
QCheckBox * | stream_checkbox
QCheckBox * | jitter_checkbox
QCheckBox * | diff_checkbox
QCheckBox * | delta_checkbox

## Detailed Description

Structure to hold information and UI elements for an RTP stream analysis tab.

## Member Data Documentation

## ◆ delta_checkbox

QCheckBox* tab_info_t::delta_checkbox

Pointer to the checkbox for delta graph visibility.

## ◆ delta_graph

QCPGraph* tab_info_t::delta_graph

Pointer to the graph representing deltas.

## ◆ delta_vals

QVector<double>* tab_info_t::delta_vals

Pointer to a vector of delta values for the graph.

## ◆ diff_checkbox

QCheckBox* tab_info_t::diff_checkbox

Pointer to the checkbox for difference graph visibility.

## ◆ diff_graph

QCPGraph* tab_info_t::diff_graph

Pointer to the graph representing differences.

## ◆ diff_vals

QVector<double>* tab_info_t::diff_vals

Pointer to a vector of difference values for the graph.

## ◆ graphHorizontalLayout

QHBoxLayout* tab_info_t::graphHorizontalLayout

Pointer to the horizontal layout containing the graphs.

## ◆ jitter_checkbox

QCheckBox* tab_info_t::jitter_checkbox

Pointer to the checkbox for jitter graph visibility.

## ◆ jitter_graph

QCPGraph* tab_info_t::jitter_graph

Pointer to the graph representing jitter.

## ◆ jitter_vals

QVector<double>* tab_info_t::jitter_vals

Pointer to a vector of jitter values for the graph.

## ◆ statistics_label

QLabel* tab_info_t::statistics_label

Pointer to the label displaying summary statistics.

## ◆ stream

rtpstream_info_t tab_info_t::stream

The RTP stream information.

## ◆ stream_checkbox

QCheckBox* tab_info_t::stream_checkbox

Pointer to the checkbox for the stream visibility.

## ◆ tab_name

QString* tab_info_t::tab_name

Pointer to the string holding the name of the tab.

## ◆ time_vals

QVector<double>* tab_info_t::time_vals

Pointer to a vector of time values for the graph.

## ◆ tree_widget

QTreeWidget* tab_info_t::tree_widget

Pointer to the tree widget displaying packet statistics.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/ui/qt/rtp_analysis_dialog.h